Bug 404151 - Unable to run yum-update and pirut
Unable to run yum-update and pirut
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 05:16 EST by tomer leibovich
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error details (6.62 KB, text/plain)
2007-11-29 05:20 EST, tomer leibovich
no flags Details

  None (edit)
Description tomer leibovich 2007-11-29 05:16:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.10) Gecko/20071115 Firefox/2.0.0.10

Description of problem:
After fresh install of FC8 I've tried to run yum update and received the following error:

tomer@localhost ~]$ su -c "yum update"
Password:
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 105, in main
result, resultmsgs = base.doCommands()
File "/usr/share/yum-cli/cli.py", line 278, in doCommands
self._getTs()
File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 77, in _getTs
self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 526, in <lambda>
pkgSack = property(fget=lambda self: self._getSacks(),
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
self.repos.populateSack(which=repos)
File "/usr/lib/python2.5/site-packages/yum/repos.py", line 242, in populateSack
sack.populate(repo, mdtype, callback, cacheonly)
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
if self._check_db_version(repo, mydbtype):
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in _check_db_version
if repo.repoXML.repoData.has_key(mdtype):
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 769, in <lambda>
repoXML = property(fget=lambda self: self._getRepoXML(),
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 761, in _getRepoXML
self._loadRepoXML(text=self)
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 744, in _loadRepoXML
cache=self.http_caching == 'all')
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 612, in _getFile
result = self.grab.urlgrab(relative, local,
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 444, in <lambda>
grab = property(lambda self: self._getgrab())
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 439, in _getgrab
self._setupGrab()
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 428, in _setupGrab
self._grab = mgclass(self._grabfunc, self.urls,
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 523, in <lambda>
urls = property(fget=lambda self: self._geturls(),
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 520, in _geturls
self._baseurlSetup()
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 485, in _baseurlSetup
mirrorurls.extend(self._getMirrorList())
File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 934, in _getMirrorList
content = fo.readlines()
File "/usr/lib/python2.5/site-packages/urlgrabber/keepalive.py", line 427, in readlines
line = self.readline()
File "/usr/lib/python2.5/site-packages/urlgrabber/keepalive.py", line 412, in readline
new = self._raw_read(self._rbufsize)
File "/usr/lib/python2.5/httplib.py", line 509, in read
return self._read_chunked(amt)
File "/usr/lib/python2.5/httplib.py", line 563, in _read_chunked
value += self._safe_read(chunk_left)
File "/usr/lib/python2.5/httplib.py", line 600, in _safe_read
raise IncompleteRead(s)

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.running yum update
2.running software updater
3.running add\remove

Actual Results:


Expected Results:


Additional info:
Comment 1 tomer leibovich 2007-11-29 05:20:25 EST
Created attachment 272731 [details]
error details
Comment 2 Seth Vidal 2008-03-12 12:00:17 EDT
Are you behind a proxy of some kind?
Comment 3 Jeremy Katz 2008-05-28 15:58:21 EDT
Closing due to inactivity; please reopen if you continue to see this problem or
have more information to add to this report

Note You need to log in before you can comment on or make changes to this bug.